secstate-0.4.1-8.el6.psychotic.noarch.rpm


Advertisement

Description

secstate - Security State Configuration Tool

Property Value
Distribution CentOS 6
Repository Psychotic Ninja x86_64
Package name secstate
Package version 0.4.1
Package release 8.el6.psychotic
Package architecture noarch
Package type rpm
Installed size 382.74 KB
Download size 129.34 KB
Official Mirror packages.psychotic.ninja
SecState is a Security Configuration tool that utilizes openscap and puppet
to configure and validate security configuration information on a target
system.  SecState targets U.S. federal regulations and guidance, but can be
used with any SCAP compliant content.

Alternatives

Package Version Architecture Repository
secstate-0.4.1-8.el6.psychotic.noarch.rpm 0.4.1 noarch Psychotic Ninja
secstate-0.4.1-1.el6.art.noarch.rpm 0.4.1 noarch Atomic
secstate-0.4.1-1.el6.art.noarch.rpm 0.4.1 noarch Atomic
secstate - - -

Requires

Name Value
/usr/bin/python -
libxml2-python -
libxslt-python -
openscap-python -
puppet -
python -
python(abi) = 2.6

Provides

Name Value
config(secstate) = 0.4.1-8.el6.psychotic
secstate = 0.4.1-8.el6.psychotic

Download

Type URL
Binary Package secstate-0.4.1-8.el6.psychotic.noarch.rpm
Source Package secstate-0.4.1-8.el6.psychotic.src.rpm

Install Howto

  1. Download the latest psychotic-release rpm from
    http://packages.psychotic.ninja/6/base/x86_64/RPMS/
  2. Install psychotic-release rpm:
    # rpm -Uvh psychotic-release*rpm
  3. Install secstate rpm package:
    # yum --enablerepo=psychotic install secstate

Files

Path
/etc/secstate/secstate.conf
/usr/bin/secstate
/usr/lib/python2.6/site-packages/secstate/__init__.py
/usr/lib/python2.6/site-packages/secstate/__init__.pyc
/usr/lib/python2.6/site-packages/secstate/__init__.pyo
/usr/lib/python2.6/site-packages/secstate/main.py
/usr/lib/python2.6/site-packages/secstate/main.pyc
/usr/lib/python2.6/site-packages/secstate/main.pyo
/usr/lib/python2.6/site-packages/secstate/util.py
/usr/lib/python2.6/site-packages/secstate/util.pyc
/usr/lib/python2.6/site-packages/secstate/util.pyo
/usr/libexec/secstate/secstate_external_node
/usr/share/doc/secstate-0.4.1/LICENSE
/usr/share/doc/secstate-0.4.1/LICENSE.BSD
/usr/share/doc/secstate-0.4.1/LICENSE.GPLv2
/usr/share/doc/secstate-0.4.1/LICENSE.LGPLv21
/usr/share/man/man1/secstate.1.gz
/usr/share/puppet/modules/file_perms/
/usr/share/puppet/modules/file_perms/lib/
/usr/share/puppet/modules/file_perms/lib/puppet/
/usr/share/puppet/modules/file_perms/lib/puppet/provider/
/usr/share/puppet/modules/file_perms/lib/puppet/provider/file_perms/file_perms.rb
/usr/share/puppet/modules/file_perms/lib/puppet/type/file_perms.rb
/usr/share/puppet/modules/ifdefined/LICENSE
/usr/share/puppet/modules/ifdefined/README
/usr/share/puppet/modules/ifdefined/plugins/
/usr/share/puppet/modules/ifdefined/plugins/puppet/
/usr/share/puppet/modules/ifdefined/plugins/puppet/parser/
/usr/share/puppet/modules/ifdefined/plugins/puppet/parser/functions/ifdefined.rb
/usr/share/puppet/modules/pam/README
/usr/share/puppet/modules/pam/lib/
/usr/share/puppet/modules/pam/lib/puppet/
/usr/share/puppet/modules/pam/lib/puppet/provider/
/usr/share/puppet/modules/pam/lib/puppet/provider/pam/pam.rb
/usr/share/puppet/modules/pam/lib/puppet/type/pam.rb
/usr/share/secstate/
/usr/share/secstate/transforms/results2html.xsl
/usr/share/secstate/transforms/html/about.html
/usr/share/secstate/transforms/html/help.html
/usr/share/secstate/transforms/media/
/usr/share/secstate/transforms/media/css/main.css
/usr/share/secstate/transforms/media/css/print.css
/usr/share/secstate/transforms/media/img/collapse.png
/usr/share/secstate/transforms/media/img/expand.png
/usr/share/secstate/transforms/media/img/toggle.png
/usr/share/secstate/transforms/media/img/tresys.png
/usr/share/secstate/transforms/media/img/tresysSmall.png
/usr/share/secstate/transforms/media/js/.custom.js.swp
/usr/share/secstate/transforms/media/js/custom.js
/usr/share/secstate/transforms/media/js/jquery-1.4.2.min.js
/var/lib/secstate/
/var/lib/secstate/benchmarks/
/var/lib/secstate/configs/
/var/lib/secstate/oval/
/var/lib/secstate/puppet/site.pp

Changelog

2015-01-12 - Psychotic Build System <builder@psychotic.ninja> - 0.4.1-8
- Initial build for Psychotic Ninja
2014-06-08 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
2013-08-04 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
2013-02-14 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
2012-07-21 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
2012-01-14 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
2011-02-09 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
2010-09-13 - Marshall Miller <mmiller@tresys.com> 0.4.1-1
- Updates to man page
- Updated the human-readable output transform
- Changed the pam provider by removing the "type" attribute
2010-09-02 - Marshall Miller <mmiller@tresys.com> 0.4.0-1
- Changed versioning scheme
2010-08-27 - Joshua Adams <jadams@tresys.com> 0.3-12
- Added site.pp for puppet
- Added custom XSL tranform

See Also

Package Description
sendKindle-2.1-6.el6.psychotic.noarch.rpm CLI tool for sending files via email to your Amazon Kindle device
sslscan-1.10.2-4.el6.psychotic.x86_64.rpm Security assessment tool for SSL
stikkit-1.0.6-4.el6.psychotic.x86_64.rpm Command line tool to upload things to stikked
stikkit-1.0.6-6.el6.psychotic.x86_64.rpm Command line tool to upload things to stikked
stikkit-1.0.6-7.el6.psychotic.x86_64.rpm Command line tool to upload things to stikked
stress-1.0.4-14.el6.psychotic.x86_64.rpm A tool to put given subsystems under a specified load
supybot-git-0-4.116c5e2.el6.psychotic.noarch.rpm Supybot plugin for interacting with git repositories
supybot-git-0-6.116c5e2.el6.psychotic.noarch.rpm Supybot plugin for interacting with git repositories
supybot-koji-0.2-8.el6.psychotic.noarch.rpm Plugin for Supybot to interact with Koji instances
supybot-limnoria-20180405-1.el6.psychotic.noarch.rpm Cross-platform IRC bot written in Python
supybot-limnoria-20180604-1.el6.psychotic.noarch.rpm Cross-platform IRC bot written in Python
supybot-limnoria-20180914-1.el6.psychotic.noarch.rpm Cross-platform IRC bot written in Python
supybot-meetbot-0.1.4-14.el6.psychotic.noarch.rpm Plugin for Supybot for handling IRC meetings
supybot-meetbot-0.1.4-16.el6.psychotic.noarch.rpm Plugin for Supybot for handling IRC meetings
supybot-notify-0.2.2-7.el6.psychotic.noarch.rpm Notification plugin for Supybot
Advertisement
Advertisement